import 'package:json_annotation/json_annotation.dart';

part 'token.g.dart';

@JsonSerializable(explicitToJson: true)
class AppToken {
  final String token;
  final String userId;
  final Map<String, dynamic> extras;

  AppToken(this.token, this.userId, this.extras);

  AppToken.named({this.token, this.userId, this.extras});

  Map<String, dynamic> toJson() => _$AppTokenToJson(this);

  factory AppToken.fromJson(json) => _$AppTokenFromJson(json);
}
